<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables & Forms</title>
</head>
<body>
	<header>
		<h1>HTML Tables and Forms </h1>
	</header>

	<main>

		<!-- start of table -->		
		<section>
				<h2>HTML Entities</h2>
				<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mmix up with our HTML code.)</em></p>

					<!-- table creation 
					<table> defines an html table
					<thead> used to group table header content
					<tr> 	defines a table row
					<th>	defines a table header element in bold & ctr
					<tbody> used to group table body content
					<td> 	defines a table data element
					<colspan> 	dictates how many columns an element will occupy
					<rowspan>   colspan counterpart

									-->

						<table border="1">
							<thead>
								<tr>
									<th colspan="2">Entity </th>
									<th rowspan="2">Description </th>
								</tr>

								<tr>
									<th>Character</th>
									<td>[&] Code [;]</td>
								</tr>
							</thead>

							<tbody>

								<tr>
									<td>&lt;</td>
									<td>lt</td>
									<td>less than</td>
								</tr>

								<tr>
									<td>&gt;</td>
									<td>gt</td>
									<td>greater than</td>
								</tr>

								<tr>
									<td>&#8369;</td>
									<td>#8369</td>
									<td>peso sign</td>
								</tr>

								<tr>
									<td>&amp;</td>
									<td>amp</td>
									<td>ampersand</td>
								</tr>

								<tr>
									<td>&quot;</td>
									<td>quot</td>
									<td>double quotation mark</td>
								</tr>

								<tr>
									<td>&apos;</td>
									<td>apos</td>
									<td>single quotation mark (apostrophe)</td>
								</tr>

								<tr>
									<td>&atilde;</td>
									<td>atilde</td>
									<td>Lower Tilde</td>
								</tr>

								<tr>
									<td>&Ntilde;</td>
									<td>Ntilde</td>
									<td>Upper Tilde</td>
								</tr>


							</tbody>
						</table>
				</section>
		<!-- end of table -->

		<!-- start of form -->
				<section>			
						<h2>HTML Forms</h2>	
						<p><em>Input elements that make up a form</em></p>

						<!-- notes
						<form> 		creates an HTML form to capture user input 
						[for attribute in labes -> id attribute in input] = for better user experience
						
						-->
						<form action="https://google.com">
							
							<label for="full_name">Full Name:</label>
							<input type="text" name="full_name" id="full_name" required autocomplete> <br>

							<label for="bday">Birth Date:</label>
							<input type="date" name="bday" id="bday" required><br>

							<label for="age">Age:</label>
							<input type="number" name="age" id="age" required min="12"><br>

							<label for="gender">Gender:</label>
						<!-- create a dropdown menu -->
							<select name="gender" id="gender">
								<option value="Male">Male</option>	
								<option value="Female">Female</option>
								<option value="not say">Prefer not to say</option>		
							</select><br>

							<label for="notes">Notes:</label>
							<textarea name="notes" rows="5" id="notes"></textarea> <br><br>

						<!-- Radio buttons -->
							<label>Are you a new user?</label><br>
							
							<input type="radio" name="new_user" id="user-type1" value="yes">
							<label for="user-type1">Yes</label><br>

							<input type="radio" name="new_user" id="user-type2" value="no">
							<label for="user-type2">No</label>
							<br><br>

					<!-- Check boxes -->
							<label>Role:</label><br>

							<input type="checkbox" name="role1" id="role1" value="developer">
							<label for="role1">Developer</label><br>

							<input type="checkbox" name="role2" id="role2" value="student">
							<label for="role2">Student</label><br>

							<input type="checkbox" name="role3" id="role3" value="Manager">
							<label for="role3">Manager</label><br>

							<br><br>

							<button type="reset">Reset</button>
							<button type="submit">Submit</button>

						</form>
				</section>
		<!-- end of form -->
	</main>
</body>
</html>